package com.cy.guoyan.admin.module.guoyan.service.stateownedreformlawinfo;

import java.util.*;
import javax.validation.*;
import com.cy.guoyan.admin.module.guoyan.controller.admin.stateownedreformlawinfo.vo.*;
import com.cy.guoyan.admin.module.guoyan.dal.dataobject.stateownedreformlawinfo.StateOwnedReformLawInfoDO;
import com.cy.guoyan.admin.framework.common.pojo.PageResult;
import com.cy.guoyan.admin.framework.common.pojo.PageParam;

/**
 * 国企改革法规信息 Service 接口
 *
 * @author 管理员
 */
public interface StateOwnedReformLawInfoService {

    /**
     * 创建国企改革法规信息
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createStateOwnedReformLawInfo(@Valid StateOwnedReformLawInfoSaveReqVO createReqVO);

    /**
     * 更新国企改革法规信息
     *
     * @param updateReqVO 更新信息
     */
    void updateStateOwnedReformLawInfo(@Valid StateOwnedReformLawInfoSaveReqVO updateReqVO);

    /**
     * 删除国企改革法规信息
     *
     * @param id 编号
     */
    void deleteStateOwnedReformLawInfo(Long id);

    /**
    * 批量删除国企改革法规信息
    *
    * @param ids 编号
    */
    void deleteStateOwnedReformLawInfoListByIds(List<Long> ids);

    /**
     * 获得国企改革法规信息
     *
     * @param id 编号
     * @return 国企改革法规信息
     */
    StateOwnedReformLawInfoRespVO getStateOwnedReformLawInfo(Long id);

    /**
     * 获得国企改革法规信息分页
     *
     * @param pageReqVO 分页查询
     * @return 国企改革法规信息分页
     */
    PageResult<StateOwnedReformLawInfoDO> getStateOwnedReformLawInfoPage(StateOwnedReformLawInfoPageReqVO pageReqVO);

    List<StateOwnedReformLawInfoDO> getStateOwnedReformLawInfoList(StateOwnedReformLawInfoPageReqVO pageReqVO);

    void auditStateOwnedReformLawInfo(Long id, String auditStatus);

    void voidStateOwnedReformLawInfo(Long id, String status);

}